> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algoreg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get alert detail

> Returns the details of an alert.

## Path parameters

<ParamField path="alert_id" type="string" required />

## Response body

<Tabs>
  <Tab title="200">
    <ResponseField name="created_at" type="string" />

    <ResponseField name="customer_external_id" type="string" />

    <ResponseField name="id" type="string" />

    <ResponseField name="last_revision" type="FullAlertLastRevision">
      <Expandable title="properties">
        <ResponseField name="agent_id" type="string" />

        <ResponseField name="associates" type="DJAssociateRecord[]">
          <Expandable title="properties">
            <ResponseField name="association_type_code" type="integer" />

            <ResponseField name="association_type_label" type="string" />

            <ResponseField name="list_id" type="string" />
          </Expandable>
        </ResponseField>

        <ResponseField name="comment" type="string" />

        <ResponseField name="created_at" type="string" />

        <ResponseField name="customer_revision_id" type="string" />

        <ResponseField name="id" type="string" />

        <ResponseField name="is_pep" type="boolean" />

        <ResponseField name="is_rca" type="boolean" />

        <ResponseField name="is_rca_pep" type="boolean" />

        <ResponseField name="is_rca_san" type="boolean" />

        <ResponseField name="is_rca_sie" type="boolean" />

        <ResponseField name="is_rca_sip" type="boolean" />

        <ResponseField name="is_rca_soe" type="boolean" />

        <ResponseField name="is_rca_sop" type="boolean" />

        <ResponseField name="is_san" type="boolean" />

        <ResponseField name="is_sie" type="boolean" />

        <ResponseField name="is_sip" type="boolean" />

        <ResponseField name="is_soe" type="boolean" />

        <ResponseField name="is_sop" type="boolean" />

        <ResponseField name="list_name" type="string" />

        <ResponseField name="list_profile" type="DJRecord">
          <Expandable title="properties">
            <ResponseField name="addresses" type="DJAddress[]">
              <Expandable title="properties">
                <ResponseField name="address_city" type="string" />

                <ResponseField name="address_country" type="string" />

                <ResponseField name="address_line" type="string" />

                <ResponseField name="url" type="string" />
              </Expandable>
            </ResponseField>

            <ResponseField name="birth_place" type="string[]" />

            <ResponseField name="company_details" type="DJCompanyDetail[]">
              <Expandable title="properties">
                <ResponseField name="address_city" type="string" />

                <ResponseField name="address_country" type="string" />

                <ResponseField name="address_line" type="string" />

                <ResponseField name="url" type="string" />
              </Expandable>
            </ResponseField>

            <ResponseField name="countries" type="DJCountry[]">
              <Expandable title="properties">
                <ResponseField name="codes" type="string[]" />

                <ResponseField name="country_type" type="string">
                  See CountryTypes
                </ResponseField>

                <ResponseField name="country_type_code" type="integer">
                  See CountryTypes
                </ResponseField>

                <ResponseField name="iso3_codes" type="string[]" />

                <ResponseField name="names" type="string[]" />
              </Expandable>
            </ResponseField>

            <ResponseField name="date" type="string">
              Record update date
            </ResponseField>

            <ResponseField name="date_formated" type="string">
              Record update date formatted
            </ResponseField>

            <ResponseField name="dates" type="DJDate[]">
              <Expandable title="properties">
                <ResponseField name="date_type" type="string">
                  See DateTypes
                </ResponseField>

                <ResponseField name="date_type_code" type="integer">
                  See DateTypes
                </ResponseField>

                <ResponseField name="date_values" type="DJDateValue[]">
                  <Expandable title="properties">
                    <ResponseField name="day" type="string" />

                    <ResponseField name="dnote" type="string" />

                    <ResponseField name="formated" type="string" />

                    <ResponseField name="month" type="string" />

                    <ResponseField name="year" type="string" />
                  </Expandable>
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="deceased" type="boolean" />

            <ResponseField name="descriptions" type="DJDescriptions">
              <Expandable title="properties">
                <ResponseField name="descriptions1" type="DJDescription[]">
                  <Expandable title="properties">
                    <ResponseField name="id" type="string" />

                    <ResponseField name="text" type="string" />
                  </Expandable>
                </ResponseField>

                <ResponseField name="descriptions2" type="DJDescription[]">
                  <Expandable title="properties">
                    <ResponseField name="id" type="string" />

                    <ResponseField name="text" type="string" />
                  </Expandable>
                </ResponseField>

                <ResponseField name="descriptions3" type="DJDescription[]">
                  <Expandable title="properties">
                    <ResponseField name="id" type="string" />

                    <ResponseField name="text" type="string" />
                  </Expandable>
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="gender" type="string" />

            <ResponseField name="id_number_type" type="DJID[]">
              <Expandable title="properties">
                <ResponseField name="id_type" type="string" />

                <ResponseField name="id_values" type="DJIDValue[]">
                  <Expandable title="properties">
                    <ResponseField name="id_notes" type="string" />

                    <ResponseField name="value" type="string" />
                  </Expandable>
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="images" type="string[]" />

            <ResponseField name="list_id" type="string" />

            <ResponseField name="names" type="DJName[]">
              <Expandable title="properties">
                <ResponseField name="name_type" type="string">
                  See NameTypes
                </ResponseField>

                <ResponseField name="name_type_code" type="integer">
                  See NameTypes
                </ResponseField>

                <ResponseField name="name_values" type="DJNameValue[]">
                  <Expandable title="properties">
                    <ResponseField name="entity_name" type="string[]">
                      Name of the firm or non-individual entity
                    </ResponseField>

                    <ResponseField name="first_name" type="string[]">
                      null or list of strings
                    </ResponseField>

                    <ResponseField name="maiden_name" type="string[]">
                      null or list of strings
                    </ResponseField>

                    <ResponseField name="middle_name" type="string[]">
                      null or list of strings
                    </ResponseField>

                    <ResponseField name="original_script_name" type="string[]">
                      Name in original alphabet
                    </ResponseField>

                    <ResponseField name="single_string_name" type="string[]">
                      All names concatenated in one string
                    </ResponseField>

                    <ResponseField name="suffix" type="string[]" />

                    <ResponseField name="surname" type="string[]">
                      null or list of strings
                    </ResponseField>

                    <ResponseField name="title_honorific" type="string[]">
                      null or list of strings
                    </ResponseField>
                  </Expandable>
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="profile_notes" type="string">
              Additional notes
            </ResponseField>

            <ResponseField name="roles" type="DJRole[]">
              <Expandable title="properties">
                <ResponseField name="occupations" type="DJOccupation[]">
                  <Expandable title="properties">
                    <ResponseField name="category" type="string" />

                    <ResponseField name="code" type="string" />

                    <ResponseField name="since_day" type="string" />

                    <ResponseField name="since_formated" type="string" />

                    <ResponseField name="since_month" type="string" />

                    <ResponseField name="since_year" type="string" />

                    <ResponseField name="title" type="string" />

                    <ResponseField name="to_day" type="string" />

                    <ResponseField name="to_formated" type="string" />

                    <ResponseField name="to_month" type="string" />

                    <ResponseField name="to_year" type="string" />
                  </Expandable>
                </ResponseField>

                <ResponseField name="role_type" type="string">
                  See RoleTypes
                </ResponseField>

                <ResponseField name="role_type_code" type="integer">
                  See RoleTypes
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="sanctions" type="DJSanction[]">
              <Expandable title="properties">
                <ResponseField name="reference" type="string" />

                <ResponseField name="since_day" type="string" />

                <ResponseField name="since_formated" type="string" />

                <ResponseField name="since_month" type="string" />

                <ResponseField name="since_year" type="string" />

                <ResponseField name="to_day" type="string" />

                <ResponseField name="to_formated" type="string" />

                <ResponseField name="to_month" type="string" />

                <ResponseField name="to_year" type="string" />
              </Expandable>
            </ResponseField>

            <ResponseField name="sources" type="string[]">
              Source url, newspaper links etc
            </ResponseField>

            <ResponseField name="status" type="string" />

            <ResponseField name="type" type="string" />

            <ResponseField name="vessels" type="DJVessel[]">
              <Expandable title="properties">
                <ResponseField name="vessel_call_sign" type="string" />

                <ResponseField name="vessel_flag" type="string" />

                <ResponseField name="vessel_grt" type="string" />

                <ResponseField name="vessel_owner" type="string" />

                <ResponseField name="vessel_tonnage" type="string" />

                <ResponseField name="vessel_type" type="string" />
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="profile_date" type="integer" />

        <ResponseField name="revision_number" type="integer" />

        <ResponseField name="score" type="integer">
          Overall match score between 0 and 100
        </ResponseField>

        <ResponseField name="state" type="integer" />

        <ResponseField name="top_category" type="string">
          PEP, SAN, SIP, RCA\_SIP, etc
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="profile_number" type="string" />

    <ResponseField name="revisions" type="AlertRevision[]">
      <Expandable title="properties">
        <ResponseField name="agent_id" type="string" />

        <ResponseField name="comment" type="string" />

        <ResponseField name="created_at" type="string" />

        <ResponseField name="customer_revision_id" type="string" />

        <ResponseField name="id" type="string" />

        <ResponseField name="profile_date" type="integer" />

        <ResponseField name="revision_number" type="integer" />

        <ResponseField name="score" type="integer">
          Overall match score between 0 and 100
        </ResponseField>

        <ResponseField name="state" type="integer" />

        <ResponseField name="top_category" type="string">
          PEP, SAN, SIP, RCA\_SIP, etc
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Tab>

  <Tab title="default">
    unexpected error

    <ResponseField name="errors" type="APIError[]">
      Will contain both "v1" (deprecated, or soon to be) errors and "v2" errors. When possible, prefer errors that are not deprecated.

      <Expandable title="properties">
        <ResponseField name="code" type="string" />

        <ResponseField name="deprecated" type="boolean" />

        <ResponseField name="message" type="string" />

        <ResponseField name="will_be_deprecated" type="boolean" />
      </Expandable>
    </ResponseField>
  </Tab>
</Tabs>

<ResponseExample>
  ```json 200
  {
    "created_at": "string",
    "customer_external_id": "string",
    "id": "string",
    "last_revision": {
      "agent_id": "string",
      "associates": [
        {
          "association_type_code": "integer",
          "association_type_label": "string",
          "list_id": "string"
        }
      ],
      "comment": "string",
      "created_at": "string",
      "customer_revision_id": "string",
      "id": "string",
      "is_pep": "boolean",
      "is_rca": "boolean",
      "is_rca_pep": "boolean",
      "is_rca_san": "boolean",
      "is_rca_sie": "boolean",
      "is_rca_sip": "boolean",
      "is_rca_soe": "boolean",
      "is_rca_sop": "boolean",
      "is_san": "boolean",
      "is_sie": "boolean",
      "is_sip": "boolean",
      "is_soe": "boolean",
      "is_sop": "boolean",
      "list_name": "string",
      "list_profile": {
        "addresses": [
          {
            "address_city": "string",
            "address_country": "string",
            "address_line": "string",
            "url": "string"
          }
        ],
        "birth_place": [
          "string"
        ],
        "company_details": [
          {
            "address_city": "string",
            "address_country": "string",
            "address_line": "string",
            "url": "string"
          }
        ],
        "countries": [
          {
            "codes": [
              "string"
            ],
            "country_type": "string",
            "country_type_code": "integer",
            "iso3_codes": [
              "string"
            ],
            "names": [
              "string"
            ]
          }
        ],
        "date": "string",
        "date_formated": "string",
        "dates": [
          {
            "date_type": "string",
            "date_type_code": "integer",
            "date_values": [
              {
                "day": "string",
                "dnote": "string",
                "formated": "string",
                "month": "string",
                "year": "string"
              }
            ]
          }
        ],
        "deceased": "boolean",
        "descriptions": {
          "descriptions1": [
            {
              "id": "string",
              "text": "string"
            }
          ],
          "descriptions2": [
            {
              "id": "string",
              "text": "string"
            }
          ],
          "descriptions3": [
            {
              "id": "string",
              "text": "string"
            }
          ]
        },
        "gender": "string",
        "id_number_type": [
          {
            "id_type": "string",
            "id_values": [
              {
                "id_notes": "string",
                "value": "string"
              }
            ]
          }
        ],
        "images": [
          "string"
        ],
        "list_id": "string",
        "names": [
          {
            "name_type": "string",
            "name_type_code": "integer",
            "name_values": [
              {
                "entity_name": [
                  "string"
                ],
                "first_name": [
                  "string"
                ],
                "maiden_name": [
                  "string"
                ],
                "middle_name": [
                  "string"
                ],
                "original_script_name": [
                  "string"
                ],
                "single_string_name": [
                  "string"
                ],
                "suffix": [
                  "string"
                ],
                "surname": [
                  "string"
                ],
                "title_honorific": [
                  "string"
                ]
              }
            ]
          }
        ],
        "profile_notes": "string",
        "roles": [
          {
            "occupations": [
              {
                "category": "string",
                "code": "string",
                "since_day": "string",
                "since_formated": "string",
                "since_month": "string",
                "since_year": "string",
                "title": "string",
                "to_day": "string",
                "to_formated": "string",
                "to_month": "string",
                "to_year": "string"
              }
            ],
            "role_type": "string",
            "role_type_code": "integer"
          }
        ],
        "sanctions": [
          {
            "reference": "string",
            "since_day": "string",
            "since_formated": "string",
            "since_month": "string",
            "since_year": "string",
            "to_day": "string",
            "to_formated": "string",
            "to_month": "string",
            "to_year": "string"
          }
        ],
        "sources": [
          "string"
        ],
        "status": "string",
        "type": "string",
        "vessels": [
          {
            "vessel_call_sign": "string",
            "vessel_flag": "string",
            "vessel_grt": "string",
            "vessel_owner": "string",
            "vessel_tonnage": "string",
            "vessel_type": "string"
          }
        ]
      },
      "profile_date": "integer",
      "revision_number": "integer",
      "score": "integer",
      "state": "integer",
      "top_category": "string"
    },
    "profile_number": "string",
    "revisions": [
      {
        "agent_id": "string",
        "comment": "string",
        "created_at": "string",
        "customer_revision_id": "string",
        "id": "string",
        "profile_date": "integer",
        "revision_number": "integer",
        "score": "integer",
        "state": "integer",
        "top_category": "string"
      }
    ]
  }
  ```

  ```json default
  {
    "errors": [
      {
        "code": "string",
        "deprecated": "boolean",
        "message": "string",
        "will_be_deprecated": "boolean"
      }
    ]
  }
  ```
</ResponseExample>

<script type="application/javascript">document.body.style.opacity = 0;</script>

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/decrypt.js" />

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/text-replace.js" />
